# This file created by conda-build 3.28.4
# meta.yaml template originally from:
# /var/folders/c_/qfmhj66j0tn016nkx_th4hxm0000gp/T/abs_davcbkgdpe/clone/recipe, last modified Tue Feb 13 16:43:20 2024
# ------------------------------------------------

package:
  name: cython
  version: 3.0.8
source:
  sha256: 8333423d8fd5765e7cceea3a9985dd1e0a5dfeb2734629e1a2ed2d6233d39de6
  url: https://pypi.io/packages/source/c/cython/Cython-3.0.8.tar.gz
build:
  entry_points:
    - cygdb = Cython.Debugger.Cygdb:main
    - cython = Cython.Compiler.Main:setuptools_main
    - cythonize = Cython.Build.Cythonize:main
  number: '0'
  script: /var/folders/c_/qfmhj66j0tn016nkx_th4hxm0000gp/T/abs_davcbkgdpe/croot/cython_1707864208359/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placeho/bin/python
    -m pip install . --no-deps --no-build-isolation -vv
  string: py39h6c40b1e_0
requirements:
  build:
    - cctools_osx-64 949.0.1 hc7db93f_25
    - clang 14.0.6 hecd8cb5_1
    - clang-14 14.0.6 default_hd95374b_1
    - clang_osx-64 14.0.6 hb1e4b1b_0
    - clangxx 14.0.6 default_hd95374b_1
    - compiler-rt 14.0.6 hda8b6b8_0
    - compiler-rt_osx-64 14.0.6 h8d5cb93_0
    - ld64_osx-64 530 h70f3046_25
    - ldid 2.1.5 hc58f1be_3
    - libclang-cpp14 14.0.6 default_hd95374b_1
    - libcxx 14.0.6 h9765a3e_0
    - libffi 3.4.4 hecd8cb5_0
    - libllvm14 14.0.6 h91fad77_3
    - llvm-tools 14.0.6 he0576d7_3
    - tapi 1000.10.8 ha1b3eb9_0
    - zlib 1.2.13 h4dc903c_0
  host:
    - ca-certificates 2023.12.12 hecd8cb5_0
    - libcxx 14.0.6 h9765a3e_0
    - libffi 3.4.4 hecd8cb5_0
    - ncurses 6.4 hcec6c5f_0
    - openssl 3.0.13 hca72f7f_0
    - pip 23.3.1 py39hecd8cb5_0
    - python 3.9.18 h5ee71fb_0
    - readline 8.2 hca72f7f_0
    - setuptools 68.2.2 py39hecd8cb5_0
    - sqlite 3.41.2 h6c40b1e_0
    - tk 8.6.12 h5d9f67b_0
    - tzdata 2023d h04d1e81_0
    - wheel 0.41.2 py39hecd8cb5_0
    - xz 5.4.5 h6c40b1e_0
    - zlib 1.2.13 h4dc903c_0
  run:
    - python >=3.9,<3.10.0a0
test:
  commands:
    - pip check
    - cython --version
    - cython --help
    - cythonize --help
    - cygdb --help
  files:
    - fib.pyx
  requires:
    - clang_osx-64 14.*
    - pip
    - setuptools
about:
  description: 'Cython is an optimising static compiler for both the Python programming

    language and the extended Cython programming language. It makes writing C

    extensions for Python as easy as Python itself.

    '
  dev_url: https://github.com/cython/cython
  doc_url: https://cython.readthedocs.io/
  home: https://cython.org/
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE.txt
  summary: The Cython compiler for writing C extensions for the Python language
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: da9e909b-0ade-4389-8cc2-9f7f432e9e40
  recipe-maintainers:
    - cbouss
  remote_url: git@github.com:AnacondaRecipes/cython-feedstock.git
  sha: 2c2115a5fea5129e5764de686ac6bb8ab48ca79b
